Bug 801689 - Incorrect last-cache-validation-time in statedump
Incorrect last-cache-validation-time in statedump
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: io-cache (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-09 02:10 EST by Anush Shetty
Modified: 2013-07-24 13:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:11 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-03-09 02:10:18 EST
Description of problem: The last-cache-validation-time in xlator.performance.io-cache.priv in statedump have the value reset.


Version-Release number of selected component (if applicable): Upstream


How reproducible: Consistently


Steps to Reproduce:
1. kill -USR1 <pid-of-glusterfs>

Actual results:

[]
page_size=131072
cache_size=33554432
cache_used=0
inode_count=2
cache_timeout=1
min-file-size=0
max-file-size=0
inode.weight=1
last-cache-validation-time=1970-01-01 05:30:00.000000
inode.weight=1
last-cache-validation-time=1970-01-01 05:30:00.000000
Comment 1 Anand Avati 2012-03-12 02:52:20 EDT
CHANGE: http://review.gluster.com/2912 (Print non-zero timestamps in statedump) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anush Shetty 2012-05-14 06:53:17 EDT
Fixed now.

Note You need to log in before you can comment on or make changes to this bug.